X
Tap here to go to the mobile version of the site.

Support Forum

I have updated to Firefox 8.01, and confirmed that this is the current version. However, both Google and Firefox do not recognize my current verision -- these sites indicate my version is 3.5.7. Why?

Posted

I have updated (more than once) to Firefox Version 8.01. When I check Firefox Help:About, it confirms the version number and indicates that this is the current version. On Google, however, when I try to use G-Mail or +Google, gives me a message that my version of Firefox is no longer supported (and provides a link to download the current version). Additionally, Firefox itself, when I tried to use the Help:Submit Feedback menu option, indicates that I cannot use that option until I have first upgraded to the current version. Apparently, although I have upgraded, there is some marker or indicator that has not been updated from a previous version to indicate to websites which version of this browser is running on my machine. I would like to get this resolved, as it is keeping me from doing a few things I would like to do. By the way, I just looked at the dialog box below, following the comment "we've made some educated guesses about your current browser ..." it, too, indicates that my current version is 3.5.7.

I have updated (more than once) to Firefox Version 8.01. When I check Firefox Help:About, it confirms the version number and indicates that this is the current version. On Google, however, when I try to use G-Mail or +Google, gives me a message that my version of Firefox is no longer supported (and provides a link to download the current version). Additionally, Firefox itself, when I tried to use the Help:Submit Feedback menu option, indicates that I cannot use that option until I have first upgraded to the current version. Apparently, although I have upgraded, there is some marker or indicator that has not been updated from a previous version to indicate to websites which version of this browser is running on my machine. I would like to get this resolved, as it is keeping me from doing a few things I would like to do. By the way, I just looked at the dialog box below, following the comment "we've made some educated guesses about your current browser ..." it, too, indicates that my current version is 3.5.7.

Chosen solution

You have a general.useragent.override pref that identifies you as Firefox/3.5.7

  • Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)

See:

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • Shockwave Flash 10.3 r183
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • iTunes Detector Plug-in
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.5"
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 1.6.0_25 for Mozilla browsers
  • Picasa plugin
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Store Netscape Plugin
  • Npdsplay dll
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)

More Information

Application Basics Name Firefox Version 8.0.1
User Agent
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)
Profile Directory
Open Containing Folder
Enabled Plugins
about:plugins
Build Configuration
about:buildconfig
Crash Reports
about:crashes
Extensions
Name
Version
Enabled
ID
AVG Safe Search
10.0.0.1410
false
{1E73965B-8B48-48be-9C8D-68B920ABC1C4}
Click to call with Skype
5.6.0.8153
false
{82AF8DCA-6DE9-405D-BD5E-43525BDAD38A}
HP Smart Web Printing
4.60
false
smartwebprinting@hp.com
Java Quick Starter
1.0
false
jqs@sun.com
Microsoft .NET Framework Assistant
1.2.1
false
{20a82645-c095-46ed-80e3-08825760534b}
Modified Preferences
Name
Value
accessibility.typeaheadfind.flashBar
0
browser.history_expire_days.mirror
180
browser.history_expire_days_min
30
browser.places.importBookmarksHTML
false
browser.places.importDefaults
false
browser.places.leftPaneFolderId
-1
browser.places.migratePostDataAnnotations
false
browser.places.smartBookmarksVersion
2
browser.places.updateRecentTagsUri
false
browser.startup.homepage
http://www.google.com
browser.startup.homepage_override.buildID
20111120135848
browser.startup.homepage_override.mstone
rv:8.0.1
browser.tabs.loadInBackground
false
dom.disable_open_during_load
false
extensions.lastAppVersion
8.0.1
font.name.serif.x-western
Garamond
general.useragent.extra.microsoftdotnet
( .NET CLR 3.5.30729)
general.useragent.override
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)
gfx.blacklist.direct2d
2
gfx.blacklist.layers.direct3d10
2
gfx.blacklist.layers.direct3d10-1
2
keyword.URL
http://search.avg.com/route/?d=4c9fb6cc&v=6.103.018.001&i=26&tp=ab&iy=&ychte=us&lng=en-US&q=
network.cookie.prefsMigrated
true
places.database.lastMaintenance
1322427131
places.history.expiration.transient_current_max_pages
63011
places.last_vacuum
1301162816
print.print_printer
privacy.sanitize.migrateFx3Prefs
true
security.warn_viewing_mixed
false
Graphics
Adapter Description
Mobile Intel(R) 4 Series Express Chipset Family
Vendor ID
8086
Device ID
2a42
Adapter RAM
Unknown
Adapter Drivers
igxprd32
Driver Version
6.14.10.5338
Driver Date
2-28-2011
Vendor ID (GPU #2)
8086
Device ID (GPU #2)
2a43
Adapter RAM (GPU #2)
Unknown
Adapter Drivers (GPU #2)
Unknown
Driver Version (GPU #2)
6.14.10.5338
Driver Date (GPU #2)
2-28-2011
WebGL Renderer
Google Inc. -- ANGLE -- OpenGL ES 2.0 (ANGLE 0.0.0.686)
GPU Accelerated Windows
1/1 Direct3D 9

cor-el
  • Top 10 Contributor
  • Moderator
17424 solutions 157448 answers

Chosen Solution

You have a general.useragent.override pref that identifies you as Firefox/3.5.7

  • Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729)

See:

You have a <b>general.useragent.override</b> pref that identifies you as Firefox/3.5.7 *Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20091221 Firefox/3.5.7 (.NET CLR 3.5.30729) See: *https://support.mozilla.com/kb/Websites+or+add-ons+incorrectly+report+incompatible+browser *http://kb.mozillazine.org/Resetting_your_useragent_string_to_its_compiled-in_default

Question owner

Thanks. Problem solved. Took two tries, however. I may not have waited long enough for all the cookies, etc to be cleared. When I restarted, the problem resurfaced, and I had to reset the useragent entries again. Seems to work fine now, though.

Thanks. Problem solved. Took two tries, however. I may not have waited long enough for all the cookies, etc to be cleared. When I restarted, the problem resurfaced, and I had to reset the useragent entries again. Seems to work fine now, though.
cor-el
  • Top 10 Contributor
  • Moderator
17424 solutions 157448 answers

You're welcome

Clearing that pref should have worked instantly and this pref doesn't require a restart, others however may.

If the problem returns then see:

You're welcome Clearing that pref should have worked instantly and this pref doesn't require a restart, others however may. If the problem returns then see: *http://kb.mozillazine.org/Preferences_not_saved *https://support.mozilla.com/kb/Preferences+are+not+saved